# Minecraft

{% openapi src="<https://3672136931-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FW0dwcUm6OW6GS8mkEbZT%2Fuploads%2FJUBM5LaeZTuP49Qr1JaU%2Fswagger.json?alt=media&token=229f23d5-922f-43d7-94a1-9b6537bca813>" path="/mc/ping" method="get" %}
[swagger.json](https://3672136931-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FW0dwcUm6OW6GS8mkEbZT%2Fuploads%2FJUBM5LaeZTuP49Qr1JaU%2Fswagger.json?alt=media\&token=229f23d5-922f-43d7-94a1-9b6537bca813)
{% endopenapi %}

## Minecraft Server Ping

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/mc/ping`

Get the status of a minecraft server.

#### Query Parameters

| Name                                   | Type   | Description                                                               |
| -------------------------------------- | ------ | ------------------------------------------------------------------------- |
| host<mark style="color:red;">\*</mark> | String | The ip of the server to ping.                                             |
| port                                   | String | Optional port to use (defaults to 25565)                                  |
| icon                                   | Bool   | Set this to true to get the raw server icon in base64 (Defaults to false) |

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}
If fullQuery is false then the server does not allow listing player.

```javascript
{
	"online": true,
        "rawIcon": "base64", // This is empty by default
	"icon": "https://eu.mc-api.net/v3/server/favicon/mc.hypixel.net:25565.png",
	"motd": "Hypixel Network [1.8-1.19]\n    HOLIDAYS EVENT | DOUBLE COINS AND EXP",
	"playersOnline": 43088,
	"playersMax": 100000,
	"version": "MC 1.8 / 1.19",
	"fullQuery": false,
	"players": [],
	"success": true,
	"code": 200,
	"message": ""
}
```

{% endtab %}
{% endtabs %}

## Minecraft Player UUID Lookup

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/mc/uuid`

Get a Minecraft player UUID from player name.

#### Query Parameters

| Name                                     | Type   | Description            |
| ---------------------------------------- | ------ | ---------------------- |
| player<mark style="color:red;">\*</mark> | String | Account name to lookup |

#### Headers

| Name                                            | Type   | Description                                           |
| ----------------------------------------------- | ------ | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "accountFound": true,
    "uuid": "1e227d4e239748eab0ab19b1de70833f",
    "name": "xXBuilderBXx"
}
```

{% endtab %}
{% endtabs %}

## Minecraft Player Skin

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/mc/skin`

Get the skin image of a Minecraft player account.

#### Query Parameters

| Name                                     | Type   | Description                                                       |
| ---------------------------------------- | ------ | ----------------------------------------------------------------- |
| player<mark style="color:red;">\*</mark> | String | Account name to lookup                                            |
| type                                     | String | Type of skin image (head, cube, body, full, all) defaults to full |

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "accountFound": true,
    "uuid": "1e227d4e239748eab0ab19b1de70833f",
    "name": "xXBuilderBXx",
    "skinUrl": ""
}
```

If you use type=all then it will return all skin images.

```json
{
    "accountFound": true,
    "uuid": "1e227d4e239748eab0ab19b1de70833f",
    "name": "xXBuilderBXx",
    "headUrl": "",
    "cubeUrl": "",
    "bodyUrl": "",
    "fullUrl": ""
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/endpoints/minecraft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
